{% from 'lib.sls' import pod_deploy with context %}

Create data directory for mariadb:
  file.directory:
    - name: /srv/mariadb
    - user: 999
    - group: 999
    - mode: "0755"

Create my.cnf for mysqlg_exporter:
  file.managed:
    - name: /srv/my.cnf
    - source: salt://pod/files/my.cnf.jinja
    - template: jinja
    - user: root
    - group: root
    - mode: "0755"

{{ pod_deploy('mariadb') }}

