{% from 'lib.sls' import container_deploy with context %}

Create nextcloud root directory:
  file.directory:
    - name: /srv/npm
    - user: root
    - group: root
    - mode: "0755"

Create nextcloud data directory:
  file.directory:
    - name: /srv/npm/data
    - user: root
    - group: root
    - mode: "0750"

Create nextcloud letsencrypt directory:
  file.directory:
    - name: /srv/npm/letsencrypt
    - user: root
    - group: root
    - mode: "0750"

{{ container_deploy('npm') }}
